#{extends 'border.html'/}
<div class="container">
#{form @cms.UnduhCtr.editSubmit(), method:'POST', class:'form-horizontal', enctype:'multipart/form-data'}

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{cms.UnduhCtr.index()}">&{'unduh.label'}</a></li>
                <li class="active">&{'ubah.label'} &{'unduh.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                #{backButton action:@cms.UnduhCtr.index()/}
                #{saveButton/}
            </div>
            #{alert /}
            <!-- End Toolbar -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'status.label'}</label>
                            <div class="col-md-3">
                                <select name="status" class="form-control select2">
                                    <option value="published" ${viewunduh.status == "published" ? "selected" : ""}>&{'published.label'}</option>
                                    <option value="draft" ${viewunduh.status == "draft" ? "selected" : ""}>&{'draft.label'}</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group required">
                            <label class="col-md-3 control-label">&{'kategori.label'}</label>
                            <div class="col-md-3">
                                <select name="kategori" class="form-control select2" required>
                                    <option value="">&{'pilih.label'}</option>
                                    #{list KategoriUnduhList, as:'k'}
                                        <option value="${k.id}" ${viewunduh.konten_kategori_id == k.id ? 'selected' : ''}>${k.nama_kategori}</option>
                                    #{/list}
                                </select>
                            </div>
                        </div>
                        <div class="form-group required">
                            <label class="col-md-3 control-label">&{'judul.label'}</label>
                            <div class="col-md-8">
                                <input maxlength="100" type="text" name="deskripsi" id="deskripsi" value="${viewunduh.deskripsi}" class="form-control" required/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'file.label'}</label>
                            <div class="col-md-3">
                                <input type='file' name="file" accept=".pdf,.doc,.docx,.zip,.rar"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'file_tersedia.label'}</label>
                            <div class="col-md-3">
                                <i class="fa fa-file-text" aria-hidden="true"></i> ${viewunduh.original_file_name}
                            </div>
                        </div>
                        <div class="form-group" id="image-place">
                            <label class="col-md-3 control-label"></label>
                            <div class="col-md-8">
                                <p id="blah" src=@{'/public/files/pustaka_file'}${viewunduh.file_sub_location}${"/"+viewunduh.file_name}/>
                            </div>
                        </div>
                        <div class="form-group required">
                            <label class="col-md-3 control-label">&{'tanggal_mulai_publikasi.label'}</label>
                            <div class="col-md-3">
                                <input class="form-control" id="date_time_picker1" name="publish_date_from" value="${date_from}" required/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'tanggal_akhir_publikasi.label'}</label>
                            <div class="col-md-3">
                                <input class="form-control" id="date_time_picker2" name="publish_date_to" value="${date_to}"/>
                            </div>
                        </div>
                    </div>
                    <!-- End Form Konten Statis -->
                </div>
            </div>
        </div>
        <input id="input_id" name="id" value="${viewunduh.id}" type="hidden" />
    </div>
#{/form}
</div>

#{validationPackage/}
#{set 'moreScripts'}
<script type="text/javascript">
    $(document).ready(function(){
        $("#date_time_picker1").datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY HH:mm'

        });

        $("#date_time_picker2").datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY HH:mm'

        });

        $('#tags_1').tagsInput({width:'auto'});
        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function (e) {
                    $('#image-place').show();
                    $('#blah').attr('src', e.target.result);
                };

                reader.readAsDataURL(input.files[0]);
            }
        }

        $("#imgInp").change(function(){
            readURL(this);
        });

        $('.form-horizontal').validate({
            highlight: function(element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });
    });
</script>
#{/set}